%define         major        16
%define         libname      %mklibname yui-mga-qt %{major}
%define         develname    %mklibname yui-mga-qt -d

Name:           libyui-mga-qt
Version:        1.2.0
Release:        %mkrel 3
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-qt
Source0:        https://github.com/manatools/libyui-mga-qt/archive/%{name}-%{version}.tar.gz
Patch0:         00_libyui-qt-dep.patch

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-qt)
BuildRequires:    pkgconfig(libyui-mga)
# TODO Check ...
BuildRequires:    pkgconfig(Qt5X11Extras)
BuildRequires:    pkgconfig(Qt5Svg)
# ... TODO Check
BuildRequires:    cmake
BuildRequires:    boost-devel

BuildRequires:    ghostscript
BuildRequires:    graphviz
BuildRequires:    pkgconfig(fontconfig)

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-qt.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and Qt
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-mga-qt-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-qt development.

%files -n %develname
%{_includedir}/yui/mga/qt/
%{_libdir}/yui/libyui-mga-qt.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Tue Feb 28 2023 wally <wally> 1.2.0-3.mga9
+ Revision: 1945736
- add more provides to lib pkg

* Sat Oct 08 2022 anaselli <anaselli> 1.2.0-2.mga9
+ Revision: 1895523
- rebuilt on new libyui 4.4.4

* Sun Sep 12 2021 wally <wally> 1.2.0-1.mga9
+ Revision: 1745332
- fix lib pkg name
+ anaselli <anaselli>
- new 1.2.0

* Sat Jan 09 2021 wally <wally> 1.1.0-4.mga8
+ Revision: 1669981
- rebuild with doxygen 1.9.1

* Sun Oct 25 2020 akien <akien> 1.1.0-3.mga8
+ Revision: 1639172
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 1.1.0-2.mga8
+ Revision: 1600530
- rebuilt
- New 1.1.0

* Fri Mar 27 2020 anaselli <anaselli> 1.0.6-3.mga8
+ Revision: 1561196
- Update for new libyui

* Wed Feb 19 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1543053
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Jan 12 2020 anaselli <anaselli> 1.0.6-1.mga8
+ Revision: 1477680
- new release 1.0.6

* Sun Mar 31 2019 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1383204
- Qt5 Rebuild

* Sun Dec 16 2018 anaselli <anaselli> 1.0.5-1.mga7
+ Revision: 1341880
- New version 1.0.5

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-4.mga7
+ Revision: 1299288
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 daviddavid <daviddavid> 1.0.4-3.mga7
+ Revision: 1235103
- add patch to fix build with new Qt5 >= 5.11.0

* Wed Mar 28 2018 daviddavid <daviddavid> 1.0.4-2.mga7
+ Revision: 1212976
- provides libyui%%{major}-mga-qt so packages who depends on it can be
  rebuild if major change (like isodumper)

* Sun Jan 28 2018 anaselli <anaselli> 1.0.4-1.mga7
+ Revision: 1197764
- version 1.0.4

* Sun Oct 09 2016 anaselli <anaselli> 1.0.3-3.mga6
+ Revision: 1059762
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.3-2.mga6
+ Revision: 925829
- rebuilt for new yui.mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.3-1.mga6
+ Revision: 892890
- 1.0.3

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-0.git20140119.5.mga5
+ Revision: 681916
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 anaselli <anaselli> 1.0.2-0.git20140119.4.mga5
+ Revision: 617389
- Added version dependencies

* Fri Apr 18 2014 anaselli <anaselli> 1.0.2-0.git20140119.2.mga5
+ Revision: 616897
- rebuilt for new libyui
- avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.2-0.git20140119.1.mga5
+ Revision: 610510
- missed dep
- Fixed dependencies
- new version 1.0.2
+ matteo <matteo>
- imported package libyui-mga-qt

